Module google :: Class SearchResultsMetaData |
[show private | hide private]
[frames | no frames]

## Class SearchResultsMetaData

    _SearchBase --+
                  |
                 SearchResultsMetaData

Container class for metadata about a given search query's results.

Instance Variable Summary
| `directoryCategories`: list of categories for the search results
| `documentFiltering`: is duplicate page filtering active?
| `endIndex`: index of the last result returned (zero-based)
| `estimatedTotalResultsCount`: estimated total number of results for this query.
| `estimateIsExact`: is estimatedTotalResultsCount an exact value?
| `searchComments`: human-readable informational message
| `searchQuery`: search string that initiated this search
| `searchTime`: total search time, in seconds
| `searchTips`: human-readable informational message on how to better use Google.
| `startIndex`: index of the first result returned (zero-based)

Instance Variable Details

### directoryCategories list of categories for the search results This field is a list of dictionaries, like so:
       { 'fullViewableName': 'the Open Directory category',
         'specialEncoding':  'encoding scheme of this directory category'
       }

### documentFiltering is duplicate page filtering active?

### endIndex index of the last result returned (zero-based)

### estimatedTotalResultsCount estimated total number of results for this query.

### estimateIsExact is estimatedTotalResultsCount an exact value?

### searchComments human-readable informational message example:
        "'the' is a very common word and was not included in your search"

### searchQuery search string that initiated this search

### searchTime total search time, in seconds

### searchTips human-readable informational message on how to better use Google.

### startIndex index of the first result returned (zero-based)

Generated by Epydoc 2.0 on Wed Feb 25 18:54:21 2004 | http://epydoc.sf.net